Author Topic: Can't use "Open with…" to use latest version of Avidemux  (Read 189 times)

BG Davis

  • Jr. Member
  • **
  • Posts: 68
Can't use "Open with…" to use latest version of Avidemux
« on: January 16, 2018, 06:13:48 PM »
Running Win7
I can't use "Open with…" to use latest version of Avidemux.
I have the most recent version 2.7 saved in "C:\Program Files\Avidemux 2.7 - 64 bits"
But ever since installing the first iteration of v.2.7, if I try to use "Open with…" to open a video clip, the version that appears is 2.6.1.  No matter what I try, I can't make v2.7 appear in the list of "Open with…" programs on my computer.
So I have to open v2.7, then find the clip and open it.  This is time-consuming and inefficient.
Is there a fix for this?  (I hesitate to delete previous versions since I don't want to delete any files that might be needed to run later versions.  And some previous versions have convenient features that have disappeared in later versions.)


BG Davis

  • Jr. Member
  • **
  • Posts: 68
Re: Can't use "Open with…" to use latest version of Avidemux
« Reply #2 on: January 17, 2018, 09:19:25 PM »
Thanks but I am aware of the procedure described in the link you provided.  It does not make any difference.  I can assign any other program I want (older versions of Avidemux, etc.) but v2.7 does not appear.
« Last Edit: January 23, 2018, 11:36:55 AM by BG Davis »

Jan Gruuthuse

  • Hero Member
  • *****
  • Posts: 5791
Re: Can't use "Open with…" to use latest version of Avidemux
« Reply #3 on: January 18, 2018, 05:48:10 AM »
I'm not on windows, is there not a way where you can browse to avidemux 2.7, in these procedures.

BG Davis

  • Jr. Member
  • **
  • Posts: 68
Re: Can't use "Open with…" to use latest version of Avidemux
« Reply #4 on: January 23, 2018, 11:32:59 AM »
Yes, there is, but for whatever reason the program refuses to open v2.7 from it.
See attached images.
Even more strange, now that I have v2.7 180123, a previous version of v2.7 now appears in the list of options (image attached).  It's as if the latest iteration won't appear but previous ones will.

Image 1: selected v2.7 from browse list in Program files.
Image 2: v.2.6 appears not v.2.7.
Image 3: Options list now includes older build of v.2.7
« Last Edit: January 23, 2018, 11:36:22 AM by BG Davis »

AQUAR

  • Hero Member
  • *****
  • Posts: 1045
Re: Can't use "Open with…" to use latest version of Avidemux
« Reply #5 on: January 24, 2018, 12:01:51 PM »
If you installed these V2.6 and V2.7, then probably the application data/configuration settings are getting mixed up.
Should not run these together on the same PC (V2.5 plus V2.6orV2.7 is okay).

Else run all these avidemuxes as a portable in their own private folder (not in the special "program files" folder)